Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.cgees

scipy.linalg.lapack.cgees(cselect, a[, compute_v, sort_t, lwork, cselect_extra_args, overwrite_a]) = <fortran function cgees>

  Wrapper for `cgees`.

  Parameters:
    cselect call-back function
    a input rank-2 array(‘F’) with bounds (n,n)
  Returns:
    t rank-2 array(‘F’) with bounds (n,n) and a storage
    sdim int
    w rank-1 array(‘F’) with bounds (n)
    vs rank-2 array(‘F’) with bounds (ldvs,n)
    work rank-1 array(‘F’) with bounds (MAX(lwork, 1))
    info int
  Other Parameters:
    compute_v input int, optional

      Default: 1

    sort_t input int, optional

      Default: 0

    cselect_extra_args input tuple, optional

      Default: ()

    overwrite_a input int, optional

      Default: 0

    lwork input int, optional

      Default: max(3*n,1)

  Notes

  Call-back functions:

      def cselect(arg): return cselect
      Required arguments:
          arg : input complex
      Return objects:
          cselect : int